{% load static %}
<form method ='post' enctype ="multipart/form-data" 
    {% if edit %}
        action="{% url 'profile:admin_profilskpd_edit' slug=slug %}"
    {% else %}
        action="{% url 'profile:admin_profilskpd_create' %}"
    {% endif %}>

   
    {% csrf_token %}
 
    <div class="form-group">
        <label for="typexs">Type Posting</label>
        <select name="{{ form.typexs.name }}" id="tipe" class="form-control col-md-4">
            {% for dt in tp_posting %}
            <option value="{{dt.val}}" {% if form.typexs.value == dt.val %} selected="selected"{% endif %}>{{dt.nama}}</option>
            {% endfor %}
        </select>
    </div>
    <div class="form-group">
        <label for="judul">Masukan Judul Profil</label>
        <input type="text" placeholder="Masukkan Judul Profil..."
            class="form-control"
            name="{{ form.title.name }}"
            id="title" 
            value="{% if edit %}{{form.title.value}}{% endif %}"
            required>
    </div>
    <div class="row form-group">
        <div class="col-md-8">
            <label for="deskripsi">Deskripsi Profil</label>
            {{form.description}}
        </div>
        <div class="col-md-4">
            <label for="Profil Dinas">Foto Profil Dinas</label>
            <input type="file" class="form-control" name="{{ form_foto.foto.name }}" id="foto"
                {% if form_foto.foto.field.required and not edit %}required{% endif %}>
            <small id="passwordHelpBlock" class="form-text text-muted">
                {% if edit %}Kosongi apabila tidak ingin mengganti file.{% endif %}
            </small>
            {{form_foto.x}}
            {{form_foto.y}}
            {{form_foto.width}}
            {{form_foto.height}}
            <div class="col col-md-12 d-flex justify-content-center mt-3">
                <div class="crop-preview" style="max-width: 100%; max-height: 100%;"></div>
                {% if '.mp4' in layanandinas.foto.url|lower or '.webm' in layanandinas.foto.url|lower %}
                    <video id="old-image" style="max-width: 100%; max-height: 100%;" controls>
                        <source src="{{layanandinas.foto.url}}" type="video/mp4">
                        Your browser does not support the video tag.
                    </video>
                {% else %}
                    <img id="old-image" style="max-width: 100%; max-height: 100%;" src="{{layanandinas.foto.url}}">  
                {% endif %}
                         
            </div>
        </div>
    </div>    
    <button type="submit" class="btn btn-success"><i class="bi bi-save"></i> Simpan Data</button>
</form>